# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    'name': 'CRM Mensajes',
    'version': '1.0',
    'category': 'Registro de mensajes',
    'sequence': 2,
    'summary': 'Mensajes',
    'description': """
Registro de Mensajes
====================================================

Esta aplicación se utiliza para registrar los datos más importantes de una conversación por medio de mensajes con el cliente.

Los datos registrados son: el asunto, la fecha y hora, el cliente, etc.

""",
    'author': 'Sebastian Penayo/Eiru Software',
    'website': 'https://www.eiru.com.py',
    'depends': [
        'base_action_rule',
        'base_setup',
        'sales_team',
        'mail',
        'email_template',
        'crm',
        'resource',
        'board',
        'fetchmail',
    ],
    'data': [
        'crm_mensaje_view.xml',
        'crm_lead_view.xml',
        'crm_mensaje_menu.xml',
		'res_partner_view.xml',
		'informe_crm_mensaje.xml',
    ],
    'demo': [
    ],
    'test': [
    ],
    'installable': True,
    'application': True,
    'auto_install': False,
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
